Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 1277)
+++ admin/blog.php	(revision 1280)
@@ -74,4 +74,5 @@
 	'<form action="blog.php" method="post" id="blog-form" class="fieldset">'.
 	
+	$core->formNonce().
 	'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog ID:').' '.
 	form::field('blog_id',30,32,html::escapeHTML($blog_id)).'</label></p>'.
@@ -88,7 +89,5 @@
 	form::textarea('blog_desc',60,5,html::escapeHTML($blog_desc)).'</p>'.
 	
-	'<p><input type="submit" accesskey="s" value="'.__('Create').'" />'.
-	$core->formNonce().
-	'</p>'.
+	'<p><input type="submit" accesskey="s" value="'.__('Create').'" /></p>'.
 	'</form>';
 
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 1263)
+++ admin/blog_theme.php	(revision 1280)
@@ -332,5 +332,5 @@
 	echo
 	'<h2>'.html::escapeHTML($core->blog->name).
-	' &rsaquo; <a href="blog_theme.php">'.__('Blog appearance').'</a> &rsaquo; <span class="page-title">'.__('Theme configuration').'</span></h2>'.
+	' &rsaquo; <a href="blog_theme.php">'.__('Blog appearance').'</a> &rsaquo; <span class="page-title">'.__('Theme configuration').'<span class="page-title"></h2>'.
 	'<p><a class="back" href="blog_theme.php">'.__('back').'</a></p>';
 	
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 1247)
+++ admin/index.php	(revision 1280)
@@ -59,7 +59,7 @@
 if (!$core->auth->user_prefs->dashboard->prefExists('quickentry')) {
 	if (!$core->auth->user_prefs->dashboard->prefExists('quickentry',true)) {
-		$core->auth->user_prefs->dashboard->put('quickentry',false,'boolean','',null,true);
-	}
-	$core->auth->user_prefs->dashboard->put('quickentry',false,'boolean');
+		$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean','',null,true);
+	}
+	$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean');
 }
 
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 1247)
+++ admin/install/index.php	(revision 1280)
@@ -190,5 +190,5 @@
 		$core->auth->user_prefs->dashboard->put('doclinks',true,'boolean','',null,true);
 		$core->auth->user_prefs->dashboard->put('dcnews',true,'boolean','',null,true);
-		$core->auth->user_prefs->dashboard->put('quickentry',false,'boolean','',null,true);
+		$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean','',null,true);
 
 		# Add accessibility options
Index: admin/js/_media.js
===================================================================
--- admin/js/_media.js	(revision 1234)
+++ admin/js/_media.js	(revision 1280)
@@ -40,5 +40,5 @@
 	});
 
-	var $container = $('#add-file-f').parent().parent();
+	var $container = $('#fileupload').parent().parent();
 	var $msg,label;
 
@@ -75,5 +75,5 @@
 
 		$container.toggleClass('enhanced_uploader');
-	}).appendTo($('#add-file-f'));
+	}).appendTo($('#fileupload'));
 
 	// Replace remove links by a POST on hidden form
Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 1256)
+++ admin/js/_post.js	(revision 1280)
@@ -79,15 +79,7 @@
 		// Get document format and prepare toolbars
 		var formatField = $('#post_format').get(0);
-		var last_post_format = $(formatField).val();
 		$(formatField).change(function() {
-			// Confirm post format change
-			if(window.confirm(dotclear.msg.confirm_change_post_format_noconvert)){
-				excerptTb.switchMode(this.value);
-				contentTb.switchMode(this.value);
-				last_post_format = $(this).val();
-			}else{
-				// Restore last format if change cancelled
-				$(this).val(last_post_format);
-			}
+			excerptTb.switchMode(this.value);
+			contentTb.switchMode(this.value);
 		});
 		
Index: admin/js/jquery/jquery.pageTabs.js
===================================================================
--- admin/js/jquery/jquery.pageTabs.js	(revision 1223)
+++ admin/js/jquery/jquery.pageTabs.js	(revision 1280)
@@ -39,10 +39,9 @@
 				li = document.createElement('li');
 				a = document.createElement('a');
-				$(a).html(this.title);
+				a.appendChild(document.createTextNode(this.title));
 				this.title = '';
 				a.href = '#';
 				a.fn = This.showDiv;
 				a.index = this.id || i;
-				li.id = "part-tabs-"+a.index;
 				a.obj = This;
 				jQuery(a).click(function() { this.fn.call(this.obj,this.index); return false; });
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 1234)
+++ admin/media.php	(revision 1280)
@@ -335,9 +335,9 @@
 
 	echo
-	'<form id="fileupload" action="'.html::escapeURL($page_url).'" method="POST" enctype="multipart/form-data">'.
 	'<fieldset id="add-file-f"><legend>'.__('Add files').'</legend>'.
 	'<p>'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
-	form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-	$core->formNonce().
+	' <form id="fileupload" action="'.html::escapeURL($page_url).'" method="POST" enctype="multipart/form-data">'.
+	'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
+	$core->formNonce().'</div>'.
 	'<div class="fileupload-ctrl"><div class="files"></div></div>';
 
@@ -369,5 +369,5 @@
 
 	echo
-	form::hidden(array('d'),$d).
+	'<div>'.form::hidden(array('d'),$d).'</div>'.
 	'</fieldset>'.
 	'</form>'.
@@ -428,9 +428,7 @@
 	$class = 'media-item media-col-'.($i%2);
 	
-	$alt = (!$f->d ? sprintf(__('Media details of %s'),$fname) : 
-		sprintf(__('Go to %s folder'),($fname == '..' ? __('parent') : $fname)));
 	$res =
 	'<div class="'.$class.'"><a class="media-icon media-link" href="'.$link.'">'.
-	'<img src="'.$f->media_icon.'" alt="'.$alt.'" /></a>'.
+	'<img src="'.$f->media_icon.'" alt="" /></a>'.
 	'<ul>'.
 	'<li><a class="media-link" href="'.$link.'">'.$fname.'</a></li>';
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 1271)
+++ admin/plugins.php	(revision 1280)
@@ -233,5 +233,4 @@
 		'<a href="plugin.php?p=daInstaller">'.__('DotAddict.org Installer').'</a>'));
 
-echo '<p>';
 if ($is_writable) {
 	echo __('To install or upgrade a plugin you generally just need to upload it '.
@@ -388,9 +387,4 @@
 echo '</div>';
 
-if ($core->plugins->moduleExists('daInstaller')) {
-	echo '<p><a href="plugin.php?p=daInstaller" class="multi-part">'.__('DotAddict.org Installer').'</a></p>';
-}
-
-
 # --BEHAVIOR-- pluginsToolsTabs
 $core->callBehavior('pluginsToolsTabs',$core);
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 1276)
+++ admin/search.php	(revision 1280)
@@ -79,5 +79,5 @@
 '<p><label for="qtype1" class="classic">'.form::radio(array('qtype','qtype1'),'p',$qtype == 'p').' '.__('Search entries').'</label> '.
 '<label for="qtype2" class="classic">'.form::radio(array('qtype','qtype2'),'c',$qtype == 'c').' '.__('Search comments').'</label></p>'.
-'<p><input type="submit" value="'.__('Search').'" /></p>'.
+'</p><input type="submit" value="'.__('Search').'" /></p>'.
 '</div>'.
 '</form>';
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1179)
+++ admin/style/default.css	(revision 1235)
@@ -13,8 +13,11 @@
 
 /* ------------------------------------------------------------------ html */
+html {
+	font-size: 62.5%;
+}
 body {
-	font: 75%/1.5em Helvetica,Arial,sans-serif;
+	font: 1.2rem/1.5 Helvetica,Arial,sans-serif;
 	color: #333;
-	background: #f5f5f5;
+	background: #fff;
 	margin: 0;
 	padding: 0;
@@ -38,10 +41,10 @@
 h1, h2, h3, h4, h5, h6, p {
 	margin-top: 0;
-	margin-bottom: 0.6em;
+	margin-bottom: 1rem;
 }
 h2 {
 	color: #666;
-	font-size: 1.4em;
-	padding: 4px 0;
+	font-size: 1.8rem;
+	padding: 0 0 .6rem;
 }
 .page-title {
@@ -50,5 +53,5 @@
 h3 {
 	color: #333;
-	font-size: 1.2em;
+	font-size: 1.2rem;
 }
 p, div.p {
@@ -83,15 +86,15 @@
 #header {
 	background: #575859;
-	height: 3em;
+	height: 3.2rem;
 	position: relative;
 }
 #prelude {
-	background: #575859;
-	line-height: 1.5em;
-	margin: 0;
-	padding: 0 1.7em 0 1em;
+	background: transparent;
+	line-height: 2;
+	margin: 0;
+	padding: 0 1rem 0;
 	overflow: hidden;
 	position: absolute;
-	top: 1.2em;
+	top: 3.2rem;
 	left: 0;
 	}
@@ -100,7 +103,5 @@
 	margin: 0 1em 0 0;
 	background:transparent;
-	}
-#prelude li a {
-	color:#fff;
+	display: inline;
 	}
 #top {
@@ -113,5 +114,5 @@
 	padding: 0;
 	margin: 0;
-	height: 3em;
+	height: 3.2rem;
 	text-indent: -1000px;
 	background: transparent url(dc_logo.png) no-repeat 0 50%;
@@ -134,5 +135,5 @@
 #info-box1 {
 	margin: 0;
-	padding: .5em 3px 4px 0;
+	padding: .5em 3px 4px 1.8rem;
 	color: #fff;
 	float: left;
@@ -173,8 +174,8 @@
 }
 #info-box2 a.active {
-	border-bottom-color: #f5f5f5;
+	border-bottom-color: #fff;
 	margin: 0;
 	padding: 1.2em .5em;
-	background-color: #f5f5f5;
+	background-color: #fff;
 	color: #333;
 	font-weight: bold;
@@ -192,11 +193,10 @@
 	margin-left: -13em;
 	margin-top: 0;
+	background: #fff url(dc_bg.png);
 }
 #content {
-	margin: 1.5em 1.5em .5em 13em;
-	padding: 1em;
+	margin: 0 0 0 13em;
+	padding: 1.8rem;
 	background: #fff;
-	border-radius: .5em;
-	border: 1px solid #ddd;
 }
 	/* Micro clearfix thx to Nicolas Gallagher */
@@ -276,17 +276,18 @@
 	width: 13em;
 	float: left;
-	margin-top: 1.2em;
-	margin-bottom: .5em;
+	margin-top: 2rem;
+	padding-bottom: 1rem;
+	background: #f7f7f7;
 }
 #main-menu h3 {
-	margin: 0 0 0.5em;
-	padding: .5em 0 0 .5em;
+	margin: 0 0 1.2rem;
+	padding: 0 0 0 .5em;
 	text-transform: uppercase;
 	color: #666;
-	font-size: 1.1em;
+	font-size: 1.4rem;
 }
 #main-menu ul {
-	font-size: .95em;
-	margin: 0 0 1em 0;
+	font-size: 1.2rem;
+	margin: 0 0 2rem 0;
 	padding: 0;
 	list-style: none;
@@ -294,5 +295,5 @@
 #main-menu li {
 	display: block;
-	margin: 0.5em 0 0;
+	margin: 0.6rem 0 0;
 	padding: .2em 0 0 32px;
 	background-repeat: no-repeat;
@@ -300,9 +301,9 @@
 }
 #main-menu a {
-	font-weight: bold;
+	color: #333;
 }
 #main-menu .active a {
 	border-bottom: none;
-	color: #333;
+	color: #d30e60;
 }
 #main-menu .active {
@@ -313,4 +314,5 @@
 	border-bottom: 1px solid #ddd;
 	margin-right: -1px;
+	font-weight: bolder;
 }
 #favorites-menu {
@@ -335,6 +337,7 @@
 #footer {
 	clear: both;
-	padding: .75em .75em 0 0;
+	padding: .6rem 1.2rem .6rem 0;
 	text-align: right;
+	border-top: .1rem solid #ccc;
 }
 #footer p {
@@ -782,16 +785,13 @@
 #help-button {
 	position: fixed;
-	top: 3.2em;
+	top: 5.6rem;
 	right: 0px;
 	cursor: pointer;
-	background: #fc3;
+	background: #FFD478 url(../images/page_help.png) no-repeat .6rem center;
 	border: 1px solid #dde;
 	border-right: none;
-	font-size: 1.1em;
-	font-weight: bold;
-	text-transform: capitalize;
-	padding: .33em .75em .33em 1em;
-	border-radius: 1em 0 0 1em;
-	color: #444;
+	padding: .3rem 1rem .3rem 3rem;
+	border-radius: 1rem 0 0 1rem;
+	color: #000;
 }
 .help-box {
@@ -808,8 +808,8 @@
 	display: block;
 	position: absolute;
-	top: 40px;
+	top: 4rem;
 	right: 0;
 	width: 280px;
-	border-left: 2px solid #fc3;
+	border-left: 2px solid #FFD478;
 	margin-top: 0;
 	padding: 10px 0 0 0;
@@ -992,5 +992,5 @@
 -------------------------------------------------------- */
 table {
-	font-size: 1em;
+	font-size: 1.2rem;
 	border-collapse: collapse;
 	margin: 0 0 1em 0;
@@ -1001,5 +1001,4 @@
 caption {
 	color: #333;
-	font-size: 1.2em;
 	font-weight: bold;
 	text-align: left;
@@ -1011,5 +1010,5 @@
 	border-style: solid;
 	border-color: #ccc;
-	padding: 3px 5px;
+	padding: .4rem .5rem;
 	vertical-align: top;
 }
@@ -1131,5 +1130,5 @@
 }
 input, textarea, select, option {
-	font: 1em "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;
+	font: 100% "DejaVu Sans","Lucida Grande","Lucida Sans Unicode",Arial,sans-serif;
 }
 input[type=text], input[type=password], textarea {
@@ -1343,11 +1342,11 @@
 	border-radius: .5em;
 	margin-bottom: .1em;	
-	background: #2C8FD1 url(../images/add.png) no-repeat 6px center;
-	color: #fff;
-	padding: .2em 16px .2em 30px;
-	border: 1px solid #2373A8;
+	background: #AAce21 url(../images/add.png) no-repeat 6px center;
+	padding: .4rem 16px .4rem 30px;
+	border: 1px solid #ccc;
+	color: #000;
 }
 a.button.add:hover, a.button.add:focus {
-	background-color: #2373A8;
+	background-color: #fff;
 }
 
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 1231)
+++ admin/update.php	(revision 1290)
@@ -27,5 +27,5 @@
 
 $updater = new dcUpdate(DC_UPDATE_URL,'dotclear',DC_UPDATE_VERSION,DC_TPL_CACHE.'/versions');
-$new_v = $updater->check(DC_VERSION, !empty($_GET['nocache']));
+$new_v = $updater->check(DC_VERSION);
 $zip_file = $new_v ? DC_BACKUP_PATH.'/'.basename($updater->getFileURL()) : '';
 $version_info = $new_v ? $updater->getInfoURL() : '';
@@ -54,5 +54,5 @@
 }
 if (!empty($archives)) {
-	$archives = array_reverse($archives);
+	usort($archives,"version_compare");
 } else {
 	$default_tab = 'update';
@@ -173,8 +173,4 @@
 if (!$core->error->flag()) {
 	echo '<h2>'.__('Dotclear update').'</h2>';
-	
-	if (!empty($_GET['nocache'])) {
-		dcPage::message(__('Manual checking of update done successfully.'));
-	}
 }
 
@@ -184,9 +180,5 @@
 	if (empty($new_v))
 	{
-		echo '<p><strong>'.__('No newer Dotclear version available.').'</strong></p>'.
-		'<form action="'.$p_url.'" method="get">'.
-		'<p><input type="hidden" name="nocache" value="1" />'.
-		'<input type="submit" value="'.__('Force checking update Dotclear').'" /></p>'.
-		'</form>';
+		echo '<p><strong>'.__('No newer Dotclear version available.').'</strong></p>';
 	}
 	else
@@ -216,5 +208,4 @@
 		
 		echo	'<form action="'.$p_url.'" method="post">';
-		
 		foreach ($archives as $v) {
 			echo
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 1237)
+++ admin/users.php	(revision 1280)
@@ -106,5 +106,5 @@
 	
 	echo 
-	'<h2 class="page-title">'.__('Users').'</h2>'.
+	'<h2 class="post-title">'.__('Users').'</h2>'.
 	'<p class="top-add"><strong><a class="button add" href="user.php">'.__('Create a new user').'</a></strong></p>';
 	
